<?xml version="1.0" encoding="UTF-8"?>
<web-app id="PDFlib_J2EE_Samples" version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
>
    <display-name>pdflib-j2ee-samples</display-name>

    <welcome-file-list>
        <welcome-file>index.html</welcome-file>
    </welcome-file-list>

    <servlet>
        <description>Business Card Servlet</description>
        <display-name>BusinessCardServlet</display-name>
        <servlet-name>BusinessCardServlet</servlet-name>
        <servlet-class>BusinessCardServlet</servlet-class>
    </servlet>
    <servlet>
        <description>Chartab Servlet</description>
        <display-name>ChartabServlet</display-name>
        <servlet-name>ChartabServlet</servlet-name>
        <servlet-class>ChartabServlet</servlet-class>
    </servlet>
    <servlet>
        <description>Hello Servlet</description>
        <display-name>HelloServlet</display-name>
        <servlet-name>HelloServlet</servlet-name>
        <servlet-class>HelloServlet</servlet-class>
    </servlet>
    <servlet>
        <description>Image Servlet</description>
        <display-name>ImageServlet</display-name>
        <servlet-name>ImageServlet</servlet-name>
        <servlet-class>ImageServlet</servlet-class>
    </servlet>
    <servlet>
        <description>Invoice Servlet</description>
        <display-name>InvoiceServlet</display-name>
        <servlet-name>InvoiceServlet</servlet-name>
        <servlet-class>InvoiceServlet</servlet-class>
    </servlet>
    <servlet>
        <description>PDF Clock Servlet</description>
        <display-name>PDFClockServlet</display-name>
        <servlet-name>PDFClockServlet</servlet-name>
        <servlet-class>PDFClockServlet</servlet-class>
    </servlet>
    <servlet>
        <description>Quick Reference Servlet</description>
        <display-name>QuickReferenceServlet</display-name>
        <servlet-name>QuickReferenceServlet</servlet-name>
        <servlet-class>QuickReferenceServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>BusinessCardServlet</servlet-name>
        <url-pattern>/BusinessCardServlet</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ChartabServlet</servlet-name>
        <url-pattern>/ChartabServlet</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>HelloServlet</servlet-name>
        <url-pattern>/HelloServlet</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ImageServlet</servlet-name>
        <url-pattern>/ImageServlet</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>InvoiceServlet</servlet-name>
        <url-pattern>/InvoiceServlet</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>PDFClockServlet</servlet-name>
        <url-pattern>/PDFClockServlet</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>QuickReferenceServlet</servlet-name>
        <url-pattern>/QuickReferenceServlet</url-pattern>
    </servlet-mapping>

    <error-page>
        <exception-type>com.pdflib.PDFlibException</exception-type>
        <location>/error.jsp</location>
    </error-page>
    <error-page>
        <exception-type>java.lang.Exception</exception-type>
        <location>/error.jsp</location>
    </error-page>
</web-app>
